View Issue Details

IDProjectCategoryView StatusLast Update
12895Bug reports[All Projects] Conditionspublic2018-01-15 10:35
ReporterorvilAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version 
Summary12895: Relevance equations are ignored for X & Y scales, subquestions
DescriptionUsing EM or a simple 0 or 1 in the relevance equations field for X and Y scale (options and subquestions) of a matrix question shows now reaction in the survey. Both are ignored.
Steps To ReproduceDoes not work in any matrix question
Additional InformationIgnoring the relevance equation for colums is an old problem - former versions behave the same way.
Ignoring the settings for subquestions (rows) is new.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.0-RC.2+171102
I will donate to the project if issue is resolvedNo
Browserany
Database & DB-Versionirrelevant
Operating System (Server)irrelevant
Webserver software & versionirrelevant
PHP Versionirrelevant

Activities

orvil

orvil

2017-11-11 19:30

reporter  

Clipboard03.jpg (69,079 bytes)
Clipboard03.jpg (69,079 bytes)
LouisGac

LouisGac

2017-11-14 15:40

developer   ~45077

fixed in this commit: https://github.com/LimeSurvey/LimeSurvey/commit/dc3170ca50e9da8195fc3455c66400201fcfce0a#diff-b69c0b8c301d9dce52f005d2664f3dfb
orvil

orvil

2018-01-08 12:52

reporter   ~45481

Still not working for question type
- Array (Numbers)
- Array (Text)
LouisGac

LouisGac

2018-01-08 12:59

developer   ~45482

orvil, sorry for that question but: did you pull before testing? You're using a git install, right?
c_schmitz

c_schmitz

2018-01-15 10:35

administrator   ~45612

Version 3.0.3 released.

Issue History

Date Modified Username Field Change
2017-11-11 19:30 orvil New Issue
2017-11-11 19:30 orvil File Added: Clipboard03.jpg
2017-11-13 12:06 LouisGac Assigned To => LouisGac
2017-11-13 12:06 LouisGac Status new => assigned
2017-11-13 12:06 LouisGac Sticky Issue No => Yes
2017-11-14 15:38 LouisGac Sticky Issue Yes => No
2017-11-14 15:40 LouisGac Status assigned => resolved
2017-11-14 15:40 LouisGac Resolution open => fixed
2017-11-14 15:40 LouisGac Note Added: 45077
2018-01-08 12:52 orvil Note Added: 45481
2018-01-08 12:59 LouisGac Note Added: 45482
2018-01-15 10:35 c_schmitz Note Added: 45612
2018-01-15 10:35 c_schmitz Status resolved => closed